package io.zipcoder.crudapp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

@RestController
public class PersonController {

    @Autowired
    PersonService personService;

    @PostMapping("/people/{firstName}/{lastName}")
    Person createPerson(@PathVariable String firstName, @PathVariable String lastName) {
        Person person = new Person(firstName, lastName);
        personService.save(person);
        return personService.getOne(person.getId());
    }

    @GetMapping("/people/{id}")
    Person getPerson(@PathVariable int id) {
        return personService.getOne(id);
    }

    @GetMapping("/people")
    List<Person> getPersonList() {
        return personService.getAll();
    }

    @PutMapping("/people/{id}/{firstName}/{lastName}")
    Person updatePerson(@ModelAttribute Person p) {
        return personService.save(p);
    }

    @DeleteMapping("/people/{id}")
    void deletePerson(@PathVariable int id) {
        personService.delete(id);
    }

}
