package io.zipcoder.crudapp;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.ModelAttribute;

import java.util.ArrayList;
import java.util.List;

@Service
public class PersonService {
    @Autowired
    PersonRepo personRepo;

    public List<Person> getAll() {
        List<Person> personList = new ArrayList<>();
        personRepo.findAll().forEach(personList::add);
        return personList;
    }

    public Person getOne(int id) {
        return personRepo.findOne(id);
    }

    public Person save(Person p) {
        personRepo.save(p);
        return getOne(p.getId());
    }

    public void delete(int id){
        personRepo.delete(id);
    }

}
